> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post token favorite



## OpenAPI

````yaml post /token/{id}/favorite
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{id}/favorite:
    post:
      tags:
        - Tokens
        - User Token Favorites
      operationId: TokenController_addToFavorites
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenFavoriteEntity'
components:
  schemas:
    TokenFavoriteEntity:
      type: object
      properties:
        user:
          type: string
        token:
          type: string
        date_created:
          format: date-time
          type: string
      required:
        - user
        - token
        - date_created

````